package com.jz.dmp.modules.controller.DataIntegration.bean.flow;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: FlowExecution
 * @Description: TODO(封装同步状态结果)
 * @author ybz
 * @date 2020年12月11日
 *
 */
@ApiModel(value = "任务状态查看列表返回参数对象", description = "状态查看列表返回参数对象")
public class FlowExecution {
	
	private long submitTime;
	/*
	 * 创建人
	 * */
	@ApiModelProperty(value = "创建人")
	private String submitUser;
	/*
	 * 开始时间
	 * */
	@ApiModelProperty(value = "开始时间")
	private long startTime;
	/*
	 * 结束时间
	 * */
	@ApiModelProperty(value = "结束时间")
	private long endTime;
	
	private String flowId;
	/*
	 * 项目id
	 * */
	@ApiModelProperty(value = "项目id")
	private long projectId;
	/*
	 * 任务执行id
	 * */
	@ApiModelProperty(value = "任务执行id")
	private long execId;
	/*
	 *同步状态
	 * */
	@ApiModelProperty(value = "同步状态")
	private String status;

	public long getSubmitTime() {
		return submitTime;
	}

	public void setSubmitTime(long submitTime) {
		this.submitTime = submitTime;
	}

	public String getSubmitUser() {
		return submitUser;
	}

	public void setSubmitUser(String submitUser) {
		this.submitUser = submitUser;
	}

	public long getStartTime() {
		return startTime;
	}

	public void setStartTime(long startTime) {
		this.startTime = startTime;
	}

	public long getEndTime() {
		return endTime;
	}

	public void setEndTime(long endTime) {
		this.endTime = endTime;
	}

	public String getFlowId() {
		return flowId;
	}

	public void setFlowId(String flowId) {
		this.flowId = flowId;
	}

	public long getProjectId() {
		return projectId;
	}

	public void setProjectId(long projectId) {
		this.projectId = projectId;
	}

	public long getExecId() {
		return execId;
	}

	public void setExecId(long execId) {
		this.execId = execId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

}
